Commit d5df0071 authored by Johannes Schmid's avatar Johannes Schmid

Updated files for release and fixed distcheck

parent 70ee3182
......@@ -13,8 +13,8 @@ EXTRA_DIST = \
m4/introspection.m4
pkgconfigdir = $(libdir)/pkgconfig
pkgconfig_DATA = gdl-1.0.pc
pkgconfig_DATA = gdl-3.0.pc
CLEANFILES = gdl-1.0.pc intltool-extract intltool-merge intltool-update
CLEANFILES = gdl-3.0.pc intltool-extract intltool-merge intltool-update
Changes in 2.90.0
* Depends on gtk+-3.0 now:
- new library name libgdl3
- new pkg-config name gdl-3.0
Note: You cannot use that version for building anjuta yet because there are
still problems with gtk+-3.0 support in anjuta (libgladeui, libvte).
Thanks to Andre Klapper, Javier Jardon and Mirsal Ennaime for the GSEAL and
deprecation patches.
Changes in 2.31.2
* Translation updates
......
......@@ -5,9 +5,9 @@ dnl it too, or it will never make it into the spec file!
dnl
dnl ==========================================================================
AC_PREREQ(2.62)
AC_CONFIG_MACRO_DIR([m4])
AC_PREREQ(2.65)
AC_INIT(gdl)
AC_CONFIG_MACRO_DIR([m4])
AM_CONFIG_HEADER(config.h)
GDL_MAJOR_VERSION=2
......@@ -15,7 +15,7 @@ GDL_MINOR_VERSION=90
GDL_MICRO_VERSION=0
dnl increment if the interface has additions, changes, removals.
GDL_CURRENT=4
GDL_CURRENT=1
dnl increment any time the source changes; set to
dnl 0 if you increment CURRENT
......
......@@ -143,7 +143,7 @@ introspection_sources = $(libgdl_3_la_SOURCES)
Gdl-@GDL_CURRENT@.gir: libgdl-3.la
Gdl_@GDL_CURRENT@_gir_INCLUDES = GObject-2.0 Gtk-3.0
Gdl_@GDL_CURRENT@_gir_CFLAGS = $(INCLUDES)
Gdl_@GDL_CURRENT@_gir_LIBS = libgdl-1.la
Gdl_@GDL_CURRENT@_gir_LIBS = libgdl-3.la
Gdl_@GDL_CURRENT@_gir_FILES = $(addprefix $(srcdir)/,$(introspection_sources))
INTROSPECTION_GIRS += Gdl-@GDL_CURRENT@.gir
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment